# Vues
**Home → Anzeigen**

Mit Ansichten können Sie benutzerdefinierte Ansichten erstellen.
Es ist nicht so leistungsfähig wie die Designs, ermöglicht jedoch in wenigen Minuten eine individuellere Anzeige als das Dashboard mit Geräten für verschiedene Objekte, Grafiken oder Steuerelemente.

{% include lightbox.html src="images/doc-view_01.jpg" data="View" title="View" imgstyle="width:450px;display: block;margin: 0 auto;" %}

> **Tipp**
>
> Sie können die Standardansicht in Ihrem Profil auswählen, wenn Sie auf das Ansichtsmenü klicken.

## Principe

Wir können auch Gerätekacheln, Diagramme (die aus mehreren Daten bestehen können) oder Tabellenzonen (die die Widgets der Befehle enthalten) einfügen).

Auf einer Ansicht finden wir :

- Eine Schaltfläche oben links zum Ein- oder Ausblenden der Liste der Ansichten sowie die Schaltfläche zum Hinzufügen einer.
- Der Bleistift auf der rechten Seite zum Bearbeiten der Reihenfolge und Größe des Geräts auf die gleiche Weise wie das Dashboard.
- Ein Knopf *Komplette Ausgabe* So können Sie die Zonen und Elemente der Ansicht bearbeiten.

> **Tipp**
>
> Sie können diese Option in Ihrem Profil so ändern, dass die Liste der Ansichten standardmäßig angezeigt wird.

## Hinzufügen / Bearbeiten einer Ansicht

Das Prinzip ist ganz einfach : Eine Ansicht besteht aus Bereichen. Jede Zone ist vom Typ *Diagramm*, *Widget* Wo *Bild*. Abhängig von diesem Typ können Sie Grafiken, Geräte oder Befehle hinzufügen.

- Auf der linken Seite finden Sie die Liste der Ansichten sowie eine Schaltfläche zum Erstellen.
- Über eine Schaltfläche oben rechts können Sie die aktuelle Ansicht (Konfiguration) bearbeiten).
- Eine Schaltfläche zum Hinzufügen einer Zone. Sie werden dann nach dem Namen und dem Typ der Zone gefragt.
- Ein Knopf *Siehe das Ergebnis*, um den vollständigen Bearbeitungsmodus zu verlassen und diese Ansicht anzuzeigen.
- Eine Schaltfläche zum Speichern dieser Ansicht.
- Eine Schaltfläche zum Löschen dieser Ansicht.

> **Tipp**
>
> Sie können die Reihenfolge der Zonen durch Ziehen und Ablegen verschieben.

In jeder Zone haben Sie die folgenden allgemeinen Optionen :

- **Länge** : Definiert die Breite des Bereichs (nur im Desktop-Modus). 1 für die Breite von 1/12 des Navigators, 12 für die Gesamtbreite.
- Eine Schaltfläche zum Hinzufügen eines Elements zu dieser Zone, abhängig vom Zonentyp (siehe unten)).
- **Bearbeiten** : Ermöglicht das Ändern des Namens der Zone.
- **Löschen** : Löschen Sie die Zone.

### Gerätetypzone

In einer Zone für Gerätetypen können Sie Geräte hinzufügen :

- **Ausrüstung hinzufügen** : Ermöglicht das Hinzufügen / Ändern von Geräten, die im Bereich angezeigt werden sollen.

> **Tipp**
>
> Sie können ein Gerät direkt löschen, indem Sie auf den Papierkorb links davon klicken.

> **Tipp**
>
> Es ist möglich, die Reihenfolge der Kacheln im Bereich durch Ziehen und Ablegen zu ändern.


### Grafiktypbereich

In einem Grafikbereich können Sie Ihrer Ansicht Grafiken hinzufügen. Die folgenden Optionen stehen zur Verfügung :

- **Zeit** : Hier können Sie den Anzeigezeitraum der Grafiken auswählen (30 Minuten, 1 Tag, 1 Woche, 1 Monat, 1 Jahr oder alle)).
- **Kurve hinzufügen** : Grafiken hinzufügen / bearbeiten.

Wenn Sie die Taste drücken **Kurve hinzufügen**, Jeedom zeigt die Liste der historischen Befehle an und Sie können den hinzuzufügenden auswählen. Sobald Sie fertig sind, haben Sie Zugriff auf die folgenden Optionen :

- **Mülleimer** : Befehl aus Diagramm entfernen.
- **Nachname** : Name des zu zeichnenden Befehls.
- **Farbe** : Farbe der Kurve.
- **Nett** : Art der Kurve.
- **Gruppe** : Ermöglicht die Gruppierung von Daten (maximaler Typ pro Tag).
- **Leiter** : Skalieren (rechts oder links) der Kurve.
- **Treppe** : Zeigt die Treppenkurve an.
- **Stapel** : Stapelt die Kurve mit den anderen Kurventypen.
- **Variation** : Zeichnen Sie nur Variationen mit dem vorherigen Wert.

{% include lightbox.html src="images/doc-view_02.jpg" data="View" title="Pie Graph" imgstyle="width:450px;display: block;margin: 0 auto;" %}

> **Tipp**
>
> Sie können die Reihenfolge der Grafiken im Bereich durch Ziehen und Ablegen ändern.

### Array-Typ-Bereich

Hier haben Sie die Schaltflächen :

- **Spalte hinzufügen** : Fügen Sie der Tabelle eine Spalte hinzu.
- **Zeile hinzufügen** : Fügen Sie der Tabelle eine Zeile hinzu.

> **Notiz**
>
> Es ist möglich, die Zeilen durch Ziehen und Ablegen neu zu organisieren, nicht jedoch die Spalten.

Nachdem Sie Ihre Zeilen / Spalten hinzugefügt haben, können Sie Informationen in die Felder einfügen :

- Ein Text.
- HTML-Code (Javascript möglich, aber stark davon abgeraten).
- Das Widget einer Bestellung : Mit der Schaltfläche rechts können Sie den anzuzeigenden Befehl auswählen.
