# Dashboard
**Home → Dashboard**

<small>[Raccourcis clavier/souris](shortcuts.md)</small>

The dashboard is one of the main pages of Jeedom, it displays a report of all your home automation.
This report (unlike views and designs) is self-generated by Jeedom, and includes all of the visible objects and their equipment.

{% include lightbox.html src="images/doc-dashboard-legends.png" data="Dashboard" title="Dashboard" imgstyle="width:450px;display: block;margin: 0 auto;" %}

- 1 : Jeedom main menu.
- 2 : Global Summary [Abstract documentation.](/en_US/concept/summary).
- 3 : Browser time, shortcut to Timeline.
- 4 : Button to access the documentation of the current page.
- 5 : Name of your Jeedom, shortcut to configuration.
- 6 : Edit mode (Reorder / resize tiles).
- 7 : Filter by categories.
- 8 : Object : Icon, name and summary, and its equipment.
- 9 : Equipment tile.
- 10 : Order widget.

> **Tip**
>
> The display order of objects on the Dashboard is visible in **Analysis → Home automation summary**. You can modify this order on this page by dragging and dropping.

For equipment to appear on the Dashboard, it must :
- To be active.
- To be visible.
- Have as parent object an object visible on the Dashboard.

When the equipment first appears on the Dashboard, Jeedom tries to correctly size its tile to display all of the commands and their widgets.
In order to keep a balanced dashboard, you can switch to Edit mode with the pencil at the top right of the search bar, in order to resize and / or reorder the equipment tiles.

By moving the mouse over a command, a colored marker appears at the bottom left of the tile:
- Blue for an info command. If it is logged, a click on it opens the log window.
- Orange for an action command. A click will trigger the action.

In addition, you can click on the title of the tile (the name of the equipment) to directly open the configuration page of this equipment.

> **Tip**
>
> It is possible to go directly to a single object in your home automation, via the menu **Home → Dashboard → Object name**.
> This allows you to have only the equipment that interests you, and to load the page faster.

- You have at the top left a small icon to display the tree of objects on hover.
- A search field allows you to search for equipment by name, category, plugin, tag, etc.
- The icon to the right of the search field is used to filter the equipment displayed according to their category. A center click allows you to quickly select a single category.
- On the far right, a button allows you to switch to edit mode, to modify the order of the tiles (click - drop on the widget), or resize them. You can also rearrange the order of commands in a tile.

- By clicking on an object summary, you filter to display only the equipment related to this object and which relate to this object summary.

- A click on an information type order displays the history of the order (if it is historical).
- A Ctrl + Click on an information type command displays the history of all (historical) commands for this tile.
- One click on the information *time* of an action command displays the history of the command (if it is historized).


## Edit mode

In edit mode (*the pencil at the top right*), you can change the size of the tiles and their arrangement on the Dashboard.

the equipment refresh icons are replaced by an icon allowing access to their configuration. This icon opens an editing window with the display parameters of the equipment and its controls.

![Edit mode](./images/EditDashboardModal.gif)

On each object, to the right of its name and summary, two icons allow you to align the height of all the tiles of the object on the highest or lowest.

## Jeedom menu bar

> **Tip**
>
> - Click on the clock (menu bar) : Open the Timeline.
> - Click on the name of the Jeedom (menu bar) : Opens Settings → System → Configuration.
> - Click on ? (Toolbar) : Open help on the current page.
> - Escape on a research field : Clear the field and cancel this search.
